bump deps and use ruby 3.1.2

main
Ben Harris 2 months ago
parent 182ae31f39
commit 0d71b8b90d
  1. 162
      .idea/knockout.iml
  2. 2
      .ruby-version
  3. 6
      Gemfile
  4. 167
      Gemfile.lock
  5. 2
      README.md
  6. 11
      db/schema.rb

@ -26,19 +26,83 @@
<excludeFolder url="file://$MODULE_DIR$/public/system" />
<excludeFolder url="file://$MODULE_DIR$/components" />
</content>
<orderEntry type="jdk" jdkName="ruby-3.1.0-p0" jdkType="RUBY_SDK" />
<orderEntry type="jdk" jdkName="rbenv: 3.1.2" jdkType="RUBY_SDK" />
<orderEntry type="sourceFolder" forTests="false" />
<orderEntry type="library" scope="PROVIDED" name="bundler (v2.3.3, ruby-3.1.0-p0) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="debug (v1.4.0, ruby-3.1.0-p0) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="digest (v3.1.0, ruby-3.1.0-p0) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="irb (v1.4.1, ruby-3.1.0-p0) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="matrix (v0.4.2, ruby-3.1.0-p0) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="minitest (v5.15.0, ruby-3.1.0-p0) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="net-pop (v0.1.1, ruby-3.1.0-p0) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="net-smtp (v0.3.1, ruby-3.1.0-p0) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="racc (v1.6.0, ruby-3.1.0-p0) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="rake (v13.0.6, ruby-3.1.0-p0) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="rexml (v3.2.5, ruby-3.1.0-p0) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="actioncable (v7.0.3, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="actionmailbox (v7.0.3, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="actionmailer (v7.0.3, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="actionpack (v7.0.3, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="actiontext (v7.0.3, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="actionview (v7.0.3, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="activejob (v7.0.3, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="activemodel (v7.0.3, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="activerecord (v7.0.3, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="activestorage (v7.0.3, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="activesupport (v7.0.3, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="addressable (v2.8.0, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="bindex (v0.8.1, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="bootsnap (v1.12.0, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="builder (v3.2.4, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="bundler (v2.3.3, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="capybara (v3.37.1, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="childprocess (v4.1.0, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="concurrent-ruby (v1.1.10, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="crass (v1.0.6, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="debug (v1.5.0, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="digest (v3.1.0, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="erubi (v1.10.0, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="globalid (v1.0.0, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="i18n (v1.10.0, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="importmap-rails (v1.1.2, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="io-console (v0.5.11, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="irb (v1.4.1, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="jbuilder (v2.11.5, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="loofah (v2.18.0, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="mail (v2.7.1, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="marcel (v1.0.2, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="matrix (v0.4.2, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="method_source (v1.0.0, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="mini_mime (v1.1.2, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="minitest (v5.16.0, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="msgpack (v1.5.2, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="net-imap (v0.2.3, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="net-pop (v0.1.1, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="net-protocol (v0.1.3, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="net-smtp (v0.3.1, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="nio4r (v2.5.8, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="nokogiri (v1.13.6, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="public_suffix (v4.0.7, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="puma (v5.6.4, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="racc (v1.6.0, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="rack (v2.2.3.1, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="rack-test (v1.1.0, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="rails (v7.0.3, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="rails-dom-testing (v2.0.3, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="rails-html-sanitizer (v1.4.3, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="railties (v7.0.3, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="rake (v13.0.6, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="redis (v4.6.0, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="regexp_parser (v2.5.0, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="reline (v0.3.1, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="rexml (v3.2.5, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="rubyzip (v2.3.2, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="selenium-webdriver (v4.2.1, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="sprockets (v4.0.3, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="sprockets-rails (v3.4.2, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="sqlite3 (v1.4.4, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="stimulus-rails (v1.0.4, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="strscan (v3.0.3, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="thor (v1.2.1, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="timeout (v0.3.0, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="turbo-rails (v1.1.1, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="tzinfo (v2.0.4, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="web-console (v4.2.0, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="webdrivers (v5.0.0, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="websocket (v1.2.9, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="websocket-driver (v0.7.5, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="websocket-extensions (v0.1.5, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="xpath (v3.2.0, rbenv: 3.1.2) [gem]" level="application" />
<orderEntry type="library" scope="PROVIDED" name="zeitwerk (v2.6.0, rbenv: 3.1.2) [gem]" level="application" />
</component>
<component name="RModuleSettingsStorage">
<LOAD_PATH number="0" />
@ -47,76 +111,62 @@
<component name="RailsGeneratorsCache">
<option name="generators">
<list>
<option value="active_record:migration" />
<option value="active_record:model" />
<option value="active_record:observer" />
<option value="active_record:session_migration" />
<option value="active_record:application_record" />
<option value="active_record:multi_db" />
<option value="application_record" />
<option value="benchmark" />
<option value="channel" />
<option value="controller" />
<option value="erb:controller" />
<option value="erb:mailer" />
<option value="erb:scaffold" />
<option value="generator" />
<option value="helper" />
<option value="integration_test" />
<option value="jbuilder" />
<option value="job" />
<option value="mailbox" />
<option value="mailer" />
<option value="metal" />
<option value="migration" />
<option value="model" />
<option value="model_subclass" />
<option value="observer" />
<option value="performance_test" />
<option value="plugin" />
<option value="resource" />
<option value="scaffold" />
<option value="scaffold_controller" />
<option value="session_migration" />
<option value="stylesheets" />
<option value="test_unit:controller" />
<option value="test_unit:helper" />
<option value="test_unit:integration" />
<option value="test_unit:mailer" />
<option value="test_unit:model" />
<option value="test_unit:observer" />
<option value="test_unit:performance" />
<option value="stimulus" />
<option value="system_test" />
<option value="task" />
<option value="test_unit:channel" />
<option value="test_unit:generator" />
<option value="test_unit:install" />
<option value="test_unit:mailbox" />
<option value="test_unit:plugin" />
<option value="test_unit:scaffold" />
</list>
</option>
<option name="myGenerators">
<list>
<option value="active_record:migration" />
<option value="active_record:model" />
<option value="active_record:observer" />
<option value="active_record:session_migration" />
<option value="active_record:application_record" />
<option value="active_record:multi_db" />
<option value="application_record" />
<option value="benchmark" />
<option value="channel" />
<option value="controller" />
<option value="erb:controller" />
<option value="erb:mailer" />
<option value="erb:scaffold" />
<option value="generator" />
<option value="helper" />
<option value="integration_test" />
<option value="jbuilder" />
<option value="job" />
<option value="mailbox" />
<option value="mailer" />
<option value="metal" />
<option value="migration" />
<option value="model" />
<option value="model_subclass" />
<option value="observer" />
<option value="performance_test" />
<option value="plugin" />
<option value="resource" />
<option value="scaffold" />
<option value="scaffold_controller" />
<option value="session_migration" />
<option value="stylesheets" />
<option value="test_unit:controller" />
<option value="test_unit:helper" />
<option value="test_unit:integration" />
<option value="test_unit:mailer" />
<option value="test_unit:model" />
<option value="test_unit:observer" />
<option value="test_unit:performance" />
<option value="stimulus" />
<option value="system_test" />
<option value="task" />
<option value="test_unit:channel" />
<option value="test_unit:generator" />
<option value="test_unit:install" />
<option value="test_unit:mailbox" />
<option value="test_unit:plugin" />
<option value="test_unit:scaffold" />
</list>
</option>
</component>

@ -1 +1 @@
3.1.0
3.1.2

@ -3,10 +3,10 @@
source 'https://rubygems.org'
git_source(:github) { |repo| "https://github.com/#{repo}.git" }
ruby '3.1.0'
ruby '3.1.2'
# Bundle edge Rails instead: gem "rails", github: "rails/rails", branch: "main"
gem 'rails', '~> 7.0.1'
gem 'rails', '~> 7.0.3'
# The original asset pipeline for Rails [https://github.com/rails/sprockets-rails]
gem 'sprockets-rails'
@ -15,7 +15,7 @@ gem 'sprockets-rails'
gem 'sqlite3', '~> 1.4'
# Use the Puma web server [https://github.com/puma/puma]
gem 'puma', '~> 5.0'
gem 'puma', '~> 5.6'
# Use JavaScript with ESM import maps [https://github.com/rails/importmap-rails]
gem 'importmap-rails'

@ -1,67 +1,67 @@
GEM
remote: https://rubygems.org/
specs:
actioncable (7.0.1)
actionpack (= 7.0.1)
activesupport (= 7.0.1)
actioncable (7.0.3)
actionpack (= 7.0.3)
activesupport (= 7.0.3)
nio4r (~> 2.0)
websocket-driver (>= 0.6.1)
actionmailbox (7.0.1)
actionpack (= 7.0.1)
activejob (= 7.0.1)
activerecord (= 7.0.1)
activestorage (= 7.0.1)
activesupport (= 7.0.1)
actionmailbox (7.0.3)
actionpack (= 7.0.3)
activejob (= 7.0.3)
activerecord (= 7.0.3)
activestorage (= 7.0.3)
activesupport (= 7.0.3)
mail (>= 2.7.1)
net-imap
net-pop
net-smtp
actionmailer (7.0.1)
actionpack (= 7.0.1)
actionview (= 7.0.1)
activejob (= 7.0.1)
activesupport (= 7.0.1)
actionmailer (7.0.3)
actionpack (= 7.0.3)
actionview (= 7.0.3)
activejob (= 7.0.3)
activesupport (= 7.0.3)
mail (~> 2.5, >= 2.5.4)
net-imap
net-pop
net-smtp
rails-dom-testing (~> 2.0)
actionpack (7.0.1)
actionview (= 7.0.1)
activesupport (= 7.0.1)
actionpack (7.0.3)
actionview (= 7.0.3)
activesupport (= 7.0.3)
rack (~> 2.0, >= 2.2.0)
rack-test (>= 0.6.3)
rails-dom-testing (~> 2.0)
rails-html-sanitizer (~> 1.0, >= 1.2.0)
actiontext (7.0.1)
actionpack (= 7.0.1)
activerecord (= 7.0.1)
activestorage (= 7.0.1)
activesupport (= 7.0.1)
actiontext (7.0.3)
actionpack (= 7.0.3)
activerecord (= 7.0.3)
activestorage (= 7.0.3)
activesupport (= 7.0.3)
globalid (>= 0.6.0)
nokogiri (>= 1.8.5)
actionview (7.0.1)
activesupport (= 7.0.1)
actionview (7.0.3)
activesupport (= 7.0.3)
builder (~> 3.1)
erubi (~> 1.4)
rails-dom-testing (~> 2.0)
rails-html-sanitizer (~> 1.1, >= 1.2.0)
activejob (7.0.1)
activesupport (= 7.0.1)
activejob (7.0.3)
activesupport (= 7.0.3)
globalid (>= 0.3.6)
activemodel (7.0.1)
activesupport (= 7.0.1)
activerecord (7.0.1)
activemodel (= 7.0.1)
activesupport (= 7.0.1)
activestorage (7.0.1)
actionpack (= 7.0.1)
activejob (= 7.0.1)
activerecord (= 7.0.1)
activesupport (= 7.0.1)
activemodel (7.0.3)
activesupport (= 7.0.3)
activerecord (7.0.3)
activemodel (= 7.0.3)
activesupport (= 7.0.3)
activestorage (7.0.3)
actionpack (= 7.0.3)
activejob (= 7.0.3)
activerecord (= 7.0.3)
activesupport (= 7.0.3)
marcel (~> 1.0)
mini_mime (>= 1.1.0)
activesupport (7.0.1)
activesupport (7.0.3)
concurrent-ruby (~> 1.0, >= 1.0.2)
i18n (>= 1.6, < 2)
minitest (>= 5.1)
@ -69,10 +69,10 @@ GEM
addressable (2.8.0)
public_suffix (>= 2.0.2, < 5.0)
bindex (0.8.1)
bootsnap (1.10.3)
bootsnap (1.12.0)
msgpack (~> 1.2)
builder (3.2.4)
capybara (3.36.0)
capybara (3.37.1)
addressable
matrix
mini_mime (>= 0.1.3)
@ -82,28 +82,27 @@ GEM
regexp_parser (>= 1.5, < 3.0)
xpath (~> 3.2)
childprocess (4.1.0)
concurrent-ruby (1.1.9)
concurrent-ruby (1.1.10)
crass (1.0.6)
debug (1.4.0)
debug (1.5.0)
irb (>= 1.3.6)
reline (>= 0.2.7)
digest (3.1.0)
erubi (1.10.0)
globalid (1.0.0)
activesupport (>= 5.0)
i18n (1.9.1)
i18n (1.10.0)
concurrent-ruby (~> 1.0)
importmap-rails (1.0.2)
importmap-rails (1.1.2)
actionpack (>= 6.0.0)
railties (>= 6.0.0)
io-console (0.5.11)
io-wait (0.2.1)
irb (1.4.1)
reline (>= 0.3.0)
jbuilder (2.11.5)
actionview (>= 5.0.0)
activesupport (>= 5.0.0)
loofah (2.13.0)
loofah (2.18.0)
crass (~> 1.0.2)
nokogiri (>= 1.5.9)
mail (2.7.1)
@ -112,8 +111,8 @@ GEM
matrix (0.4.2)
method_source (1.0.0)
mini_mime (1.1.2)
minitest (5.15.0)
msgpack (1.4.4)
minitest (5.16.0)
msgpack (1.5.2)
net-imap (0.2.3)
digest
net-protocol
@ -122,75 +121,76 @@ GEM
digest
net-protocol
timeout
net-protocol (0.1.2)
io-wait
net-protocol (0.1.3)
timeout
net-smtp (0.3.1)
digest
net-protocol
timeout
nio4r (2.5.8)
nokogiri (1.13.1-x86_64-linux)
nokogiri (1.13.6-x86_64-linux)
racc (~> 1.4)
public_suffix (4.0.6)
puma (5.6.1)
public_suffix (4.0.7)
puma (5.6.4)
nio4r (~> 2.0)
racc (1.6.0)
rack (2.2.3)
rack (2.2.3.1)
rack-test (1.1.0)
rack (>= 1.0, < 3)
rails (7.0.1)
actioncable (= 7.0.1)
actionmailbox (= 7.0.1)
actionmailer (= 7.0.1)
actionpack (= 7.0.1)
actiontext (= 7.0.1)
actionview (= 7.0.1)
activejob (= 7.0.1)
activemodel (= 7.0.1)
activerecord (= 7.0.1)
activestorage (= 7.0.1)
activesupport (= 7.0.1)
rails (7.0.3)
actioncable (= 7.0.3)
actionmailbox (= 7.0.3)
actionmailer (= 7.0.3)
actionpack (= 7.0.3)
actiontext (= 7.0.3)
actionview (= 7.0.3)
activejob (= 7.0.3)
activemodel (= 7.0.3)
activerecord (= 7.0.3)
activestorage (= 7.0.3)
activesupport (= 7.0.3)
bundler (>= 1.15.0)
railties (= 7.0.1)
railties (= 7.0.3)
rails-dom-testing (2.0.3)
activesupport (>= 4.2.0)
nokogiri (>= 1.6)
rails-html-sanitizer (1.4.2)
rails-html-sanitizer (1.4.3)
loofah (~> 2.3)
railties (7.0.1)
actionpack (= 7.0.1)
activesupport (= 7.0.1)
railties (7.0.3)
actionpack (= 7.0.3)
activesupport (= 7.0.3)
method_source
rake (>= 12.2)
thor (~> 1.0)
zeitwerk (~> 2.5)
rake (13.0.6)
redis (4.6.0)
regexp_parser (2.2.0)
regexp_parser (2.5.0)
reline (0.3.1)
io-console (~> 0.5)
rexml (3.2.5)
rubyzip (2.3.2)
selenium-webdriver (4.1.0)
selenium-webdriver (4.2.1)
childprocess (>= 0.5, < 5.0)
rexml (~> 3.2, >= 3.2.5)
rubyzip (>= 1.2.2)
sprockets (4.0.2)
rubyzip (>= 1.2.2, < 3.0)
websocket (~> 1.0)
sprockets (4.0.3)
concurrent-ruby (~> 1.0)
rack (> 1, < 3)
sprockets-rails (3.4.2)
actionpack (>= 5.2)
activesupport (>= 5.2)
sprockets (>= 3.0.0)
sqlite3 (1.4.2)
stimulus-rails (1.0.2)
sqlite3 (1.4.4)
stimulus-rails (1.0.4)
railties (>= 6.0.0)
strscan (3.0.1)
strscan (3.0.3)
thor (1.2.1)
timeout (0.2.0)
turbo-rails (1.0.1)
timeout (0.3.0)
turbo-rails (1.1.1)
actionpack (>= 6.0.0)
activejob (>= 6.0.0)
railties (>= 6.0.0)
tzinfo (2.0.4)
concurrent-ruby (~> 1.0)
@ -203,12 +203,13 @@ GEM
nokogiri (~> 1.6)
rubyzip (>= 1.3.0)
selenium-webdriver (~> 4.0)
websocket (1.2.9)
websocket-driver (0.7.5)
websocket-extensions (>= 0.1.0)
websocket-extensions (0.1.5)
xpath (3.2.0)
nokogiri (~> 1.8)
zeitwerk (2.5.4)
zeitwerk (2.6.0)
PLATFORMS
x86_64-linux
@ -219,8 +220,8 @@ DEPENDENCIES
debug
importmap-rails
jbuilder
puma (~> 5.0)
rails (~> 7.0.1)
puma (~> 5.6)
rails (~> 7.0.3)
redis (~> 4.0)
selenium-webdriver
sprockets-rails
@ -232,7 +233,7 @@ DEPENDENCIES
webdrivers
RUBY VERSION
ruby 3.1.0p0
ruby 3.1.2p20
BUNDLED WITH
2.3.3

@ -3,7 +3,7 @@
just a silly little site to help run the pinball tournaments at
[the coin slot](https://thecoinslottc.com/).
currently running on ruby 3.1.0
currently running on ruby 3.1.2
bundle install
RAILS_ENV=production bundle exec rails db:migrate

11
db/schema.rb generated

@ -10,21 +10,20 @@
#
# It's strongly recommended that you check this file into your version control system.
ActiveRecord::Schema.define(version: 2022_01_15_164820) do
ActiveRecord::Schema[7.0].define(version: 2022_01_15_164820) do
create_table "machines", force: :cascade do |t|
t.string "name"
t.string "edition"
t.datetime "created_at", precision: 6, null: false
t.datetime "updated_at", precision: 6, null: false
t.datetime "created_at", null: false
t.datetime "updated_at", null: false
end
create_table "players", force: :cascade do |t|
t.string "name"
t.boolean "paid"
t.integer "strikes"
t.datetime "created_at", precision: 6, null: false
t.datetime "updated_at", precision: 6, null: false
t.datetime "created_at", null: false
t.datetime "updated_at", null: false
end
end

Loading…
Cancel
Save